%define xmms_inputdir %(xmms-config --input-plugin-dir)

Summary: SIDPlay input plugin for X MultiMedia System (XMMS)
Name: xmms-sid
Version: 0.7.4
Release: 0.fdr.3.rh90
Epoch: 0
URL: http://www.tnsp.org/xmms-sid.php
License: GPL
Group: Applications/Multimedia
Source0: http://www.tnsp.org/xs-files/%{name}-%{version}.tar.bz2
Patch0: xmms-sid-0.7.4-cflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xmms >= 0:1.2.7
BuildRequires: xmms-devel >= 0:1.2, libsidplay-devel >= 0:1.36.57
BuildRequires: gtk+-devel >= 0:1.2.2, glib-devel >= 0:1.2.2

%description
XMMS-SID is a plugin for XMMS (X MultiMedia System) which provides
support for playing the so-called "SID tunes". For the actual playing,
XMMS-SID uses the excellent libsidplay SID-chip/6502 emulator engine.
 
If you are not familiar with the term "SID tune" or "SID" concept at
all, a short (yes it is! ;-) explanation follows:
 
SID is the sound chip that was used in many of the old 8-bit home
computers manufactured by Commodore Inc. in 1980's. Best known of
those was the Commodore 64 home computer (aka C64 or CBM64, also
known as VIC-64 in some countries).

%prep
%setup -q
%patch0 -p1 -b .cflags


#---------------------------------------------------------------------

%build
%configure --libdir=%{xmms_inputdir}
make %{?_smp_mflags}
  
#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{xmms_inputdir}/*.la

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO README.*
%{xmms_inputdir}/*.so

#---------------------------------------------------------------------

%changelog
* Fri May 02 2003 Panu Matilainen <pmatilai@welho.com> 0:0.7.4-0.fdr.3
- patch to make it honor rpm optflags
- use bz2 source instead of gz

* Mon Apr 28 2003 Panu Matilainen <pmatilai@welho.com> 0:0.7.4-0.fdr.2
- add missing Epoch's

* Mon Mar 24 2003 Panu Matilainen <pmatilai@welho.com> 
- Initial Fedora packaging.
